Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network7.167.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
7.167.0.0
Broadcast address
7.167.255.255
First usable
7.167.0.1
Last usable
7.167.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 07A70000 · Integer 128385024 to 128450559
Reverse DNS zone
167.7.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000111.10100111..00000000.000000007.167.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network00000111.10100111..00000000.000000007.167.0.0
Broadcast00000111.10100111..11111111.111111117.167.255.255
Split into smaller subnets/26

7.167.0.0/16 makes 1,024 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
17.167.0.0/267.167.0.1 to 7.167.0.627.167.0.6362
27.167.0.64/267.167.0.65 to 7.167.0.1267.167.0.12762
37.167.0.128/267.167.0.129 to 7.167.0.1907.167.0.19162
47.167.0.192/267.167.0.193 to 7.167.0.2547.167.0.25562
57.167.1.0/267.167.1.1 to 7.167.1.627.167.1.6362
67.167.1.64/267.167.1.65 to 7.167.1.1267.167.1.12762
77.167.1.128/267.167.1.129 to 7.167.1.1907.167.1.19162
87.167.1.192/267.167.1.193 to 7.167.1.2547.167.1.25562
97.167.2.0/267.167.2.1 to 7.167.2.627.167.2.6362
107.167.2.64/267.167.2.65 to 7.167.2.1267.167.2.12762
117.167.2.128/267.167.2.129 to 7.167.2.1907.167.2.19162
127.167.2.192/267.167.2.193 to 7.167.2.2547.167.2.25562
137.167.3.0/267.167.3.1 to 7.167.3.627.167.3.6362
147.167.3.64/267.167.3.65 to 7.167.3.1267.167.3.12762
157.167.3.128/267.167.3.129 to 7.167.3.1907.167.3.19162
167.167.3.192/267.167.3.193 to 7.167.3.2547.167.3.25562
177.167.4.0/267.167.4.1 to 7.167.4.627.167.4.6362
187.167.4.64/267.167.4.65 to 7.167.4.1267.167.4.12762
197.167.4.128/267.167.4.129 to 7.167.4.1907.167.4.19162
207.167.4.192/267.167.4.193 to 7.167.4.2547.167.4.25562
217.167.5.0/267.167.5.1 to 7.167.5.627.167.5.6362
227.167.5.64/267.167.5.65 to 7.167.5.1267.167.5.12762
237.167.5.128/267.167.5.129 to 7.167.5.1907.167.5.19162
247.167.5.192/267.167.5.193 to 7.167.5.2547.167.5.25562
257.167.6.0/267.167.6.1 to 7.167.6.627.167.6.6362
267.167.6.64/267.167.6.65 to 7.167.6.1267.167.6.12762
277.167.6.128/267.167.6.129 to 7.167.6.1907.167.6.19162
287.167.6.192/267.167.6.193 to 7.167.6.2547.167.6.25562
297.167.7.0/267.167.7.1 to 7.167.7.627.167.7.6362
307.167.7.64/267.167.7.65 to 7.167.7.1267.167.7.12762
317.167.7.128/267.167.7.129 to 7.167.7.1907.167.7.19162
327.167.7.192/267.167.7.193 to 7.167.7.2547.167.7.25562
337.167.8.0/267.167.8.1 to 7.167.8.627.167.8.6362
347.167.8.64/267.167.8.65 to 7.167.8.1267.167.8.12762
357.167.8.128/267.167.8.129 to 7.167.8.1907.167.8.19162
367.167.8.192/267.167.8.193 to 7.167.8.2547.167.8.25562
377.167.9.0/267.167.9.1 to 7.167.9.627.167.9.6362
387.167.9.64/267.167.9.65 to 7.167.9.1267.167.9.12762
397.167.9.128/267.167.9.129 to 7.167.9.1907.167.9.19162
407.167.9.192/267.167.9.193 to 7.167.9.2547.167.9.25562
417.167.10.0/267.167.10.1 to 7.167.10.627.167.10.6362
427.167.10.64/267.167.10.65 to 7.167.10.1267.167.10.12762
437.167.10.128/267.167.10.129 to 7.167.10.1907.167.10.19162
447.167.10.192/267.167.10.193 to 7.167.10.2547.167.10.25562
457.167.11.0/267.167.11.1 to 7.167.11.627.167.11.6362
467.167.11.64/267.167.11.65 to 7.167.11.1267.167.11.12762
477.167.11.128/267.167.11.129 to 7.167.11.1907.167.11.19162
487.167.11.192/267.167.11.193 to 7.167.11.2547.167.11.25562
497.167.12.0/267.167.12.1 to 7.167.12.627.167.12.6362
507.167.12.64/267.167.12.65 to 7.167.12.1267.167.12.12762
517.167.12.128/267.167.12.129 to 7.167.12.1907.167.12.19162
527.167.12.192/267.167.12.193 to 7.167.12.2547.167.12.25562
537.167.13.0/267.167.13.1 to 7.167.13.627.167.13.6362
547.167.13.64/267.167.13.65 to 7.167.13.1267.167.13.12762
557.167.13.128/267.167.13.129 to 7.167.13.1907.167.13.19162
567.167.13.192/267.167.13.193 to 7.167.13.2547.167.13.25562
577.167.14.0/267.167.14.1 to 7.167.14.627.167.14.6362
587.167.14.64/267.167.14.65 to 7.167.14.1267.167.14.12762
597.167.14.128/267.167.14.129 to 7.167.14.1907.167.14.19162
607.167.14.192/267.167.14.193 to 7.167.14.2547.167.14.25562
617.167.15.0/267.167.15.1 to 7.167.15.627.167.15.6362
627.167.15.64/267.167.15.65 to 7.167.15.1267.167.15.12762
637.167.15.128/267.167.15.129 to 7.167.15.1907.167.15.19162
647.167.15.192/267.167.15.193 to 7.167.15.2547.167.15.25562
657.167.16.0/267.167.16.1 to 7.167.16.627.167.16.6362
667.167.16.64/267.167.16.65 to 7.167.16.1267.167.16.12762
677.167.16.128/267.167.16.129 to 7.167.16.1907.167.16.19162
687.167.16.192/267.167.16.193 to 7.167.16.2547.167.16.25562
697.167.17.0/267.167.17.1 to 7.167.17.627.167.17.6362
707.167.17.64/267.167.17.65 to 7.167.17.1267.167.17.12762
717.167.17.128/267.167.17.129 to 7.167.17.1907.167.17.19162
727.167.17.192/267.167.17.193 to 7.167.17.2547.167.17.25562
737.167.18.0/267.167.18.1 to 7.167.18.627.167.18.6362
747.167.18.64/267.167.18.65 to 7.167.18.1267.167.18.12762
757.167.18.128/267.167.18.129 to 7.167.18.1907.167.18.19162
767.167.18.192/267.167.18.193 to 7.167.18.2547.167.18.25562
777.167.19.0/267.167.19.1 to 7.167.19.627.167.19.6362
787.167.19.64/267.167.19.65 to 7.167.19.1267.167.19.12762
797.167.19.128/267.167.19.129 to 7.167.19.1907.167.19.19162
807.167.19.192/267.167.19.193 to 7.167.19.2547.167.19.25562
817.167.20.0/267.167.20.1 to 7.167.20.627.167.20.6362
827.167.20.64/267.167.20.65 to 7.167.20.1267.167.20.12762
837.167.20.128/267.167.20.129 to 7.167.20.1907.167.20.19162
847.167.20.192/267.167.20.193 to 7.167.20.2547.167.20.25562
857.167.21.0/267.167.21.1 to 7.167.21.627.167.21.6362
867.167.21.64/267.167.21.65 to 7.167.21.1267.167.21.12762
877.167.21.128/267.167.21.129 to 7.167.21.1907.167.21.19162
887.167.21.192/267.167.21.193 to 7.167.21.2547.167.21.25562
897.167.22.0/267.167.22.1 to 7.167.22.627.167.22.6362
907.167.22.64/267.167.22.65 to 7.167.22.1267.167.22.12762
917.167.22.128/267.167.22.129 to 7.167.22.1907.167.22.19162
927.167.22.192/267.167.22.193 to 7.167.22.2547.167.22.25562
937.167.23.0/267.167.23.1 to 7.167.23.627.167.23.6362
947.167.23.64/267.167.23.65 to 7.167.23.1267.167.23.12762
957.167.23.128/267.167.23.129 to 7.167.23.1907.167.23.19162
967.167.23.192/267.167.23.193 to 7.167.23.2547.167.23.25562
977.167.24.0/267.167.24.1 to 7.167.24.627.167.24.6362
987.167.24.64/267.167.24.65 to 7.167.24.1267.167.24.12762
997.167.24.128/267.167.24.129 to 7.167.24.1907.167.24.19162
1007.167.24.192/267.167.24.193 to 7.167.24.2547.167.24.25562
1017.167.25.0/267.167.25.1 to 7.167.25.627.167.25.6362
1027.167.25.64/267.167.25.65 to 7.167.25.1267.167.25.12762
1037.167.25.128/267.167.25.129 to 7.167.25.1907.167.25.19162
1047.167.25.192/267.167.25.193 to 7.167.25.2547.167.25.25562
1057.167.26.0/267.167.26.1 to 7.167.26.627.167.26.6362
1067.167.26.64/267.167.26.65 to 7.167.26.1267.167.26.12762
1077.167.26.128/267.167.26.129 to 7.167.26.1907.167.26.19162
1087.167.26.192/267.167.26.193 to 7.167.26.2547.167.26.25562
1097.167.27.0/267.167.27.1 to 7.167.27.627.167.27.6362
1107.167.27.64/267.167.27.65 to 7.167.27.1267.167.27.12762
1117.167.27.128/267.167.27.129 to 7.167.27.1907.167.27.19162
1127.167.27.192/267.167.27.193 to 7.167.27.2547.167.27.25562
1137.167.28.0/267.167.28.1 to 7.167.28.627.167.28.6362
1147.167.28.64/267.167.28.65 to 7.167.28.1267.167.28.12762
1157.167.28.128/267.167.28.129 to 7.167.28.1907.167.28.19162
1167.167.28.192/267.167.28.193 to 7.167.28.2547.167.28.25562
1177.167.29.0/267.167.29.1 to 7.167.29.627.167.29.6362
1187.167.29.64/267.167.29.65 to 7.167.29.1267.167.29.12762
1197.167.29.128/267.167.29.129 to 7.167.29.1907.167.29.19162
1207.167.29.192/267.167.29.193 to 7.167.29.2547.167.29.25562
1217.167.30.0/267.167.30.1 to 7.167.30.627.167.30.6362
1227.167.30.64/267.167.30.65 to 7.167.30.1267.167.30.12762
1237.167.30.128/267.167.30.129 to 7.167.30.1907.167.30.19162
1247.167.30.192/267.167.30.193 to 7.167.30.2547.167.30.25562
1257.167.31.0/267.167.31.1 to 7.167.31.627.167.31.6362
1267.167.31.64/267.167.31.65 to 7.167.31.1267.167.31.12762
1277.167.31.128/267.167.31.129 to 7.167.31.1907.167.31.19162
1287.167.31.192/267.167.31.193 to 7.167.31.2547.167.31.25562
1297.167.32.0/267.167.32.1 to 7.167.32.627.167.32.6362
1307.167.32.64/267.167.32.65 to 7.167.32.1267.167.32.12762
1317.167.32.128/267.167.32.129 to 7.167.32.1907.167.32.19162
1327.167.32.192/267.167.32.193 to 7.167.32.2547.167.32.25562
1337.167.33.0/267.167.33.1 to 7.167.33.627.167.33.6362
1347.167.33.64/267.167.33.65 to 7.167.33.1267.167.33.12762
1357.167.33.128/267.167.33.129 to 7.167.33.1907.167.33.19162
1367.167.33.192/267.167.33.193 to 7.167.33.2547.167.33.25562
1377.167.34.0/267.167.34.1 to 7.167.34.627.167.34.6362
1387.167.34.64/267.167.34.65 to 7.167.34.1267.167.34.12762
1397.167.34.128/267.167.34.129 to 7.167.34.1907.167.34.19162
1407.167.34.192/267.167.34.193 to 7.167.34.2547.167.34.25562
1417.167.35.0/267.167.35.1 to 7.167.35.627.167.35.6362
1427.167.35.64/267.167.35.65 to 7.167.35.1267.167.35.12762
1437.167.35.128/267.167.35.129 to 7.167.35.1907.167.35.19162
1447.167.35.192/267.167.35.193 to 7.167.35.2547.167.35.25562
1457.167.36.0/267.167.36.1 to 7.167.36.627.167.36.6362
1467.167.36.64/267.167.36.65 to 7.167.36.1267.167.36.12762
1477.167.36.128/267.167.36.129 to 7.167.36.1907.167.36.19162
1487.167.36.192/267.167.36.193 to 7.167.36.2547.167.36.25562
1497.167.37.0/267.167.37.1 to 7.167.37.627.167.37.6362
1507.167.37.64/267.167.37.65 to 7.167.37.1267.167.37.12762
1517.167.37.128/267.167.37.129 to 7.167.37.1907.167.37.19162
1527.167.37.192/267.167.37.193 to 7.167.37.2547.167.37.25562
1537.167.38.0/267.167.38.1 to 7.167.38.627.167.38.6362
1547.167.38.64/267.167.38.65 to 7.167.38.1267.167.38.12762
1557.167.38.128/267.167.38.129 to 7.167.38.1907.167.38.19162
1567.167.38.192/267.167.38.193 to 7.167.38.2547.167.38.25562
1577.167.39.0/267.167.39.1 to 7.167.39.627.167.39.6362
1587.167.39.64/267.167.39.65 to 7.167.39.1267.167.39.12762
1597.167.39.128/267.167.39.129 to 7.167.39.1907.167.39.19162
1607.167.39.192/267.167.39.193 to 7.167.39.2547.167.39.25562
1617.167.40.0/267.167.40.1 to 7.167.40.627.167.40.6362
1627.167.40.64/267.167.40.65 to 7.167.40.1267.167.40.12762
1637.167.40.128/267.167.40.129 to 7.167.40.1907.167.40.19162
1647.167.40.192/267.167.40.193 to 7.167.40.2547.167.40.25562
1657.167.41.0/267.167.41.1 to 7.167.41.627.167.41.6362
1667.167.41.64/267.167.41.65 to 7.167.41.1267.167.41.12762
1677.167.41.128/267.167.41.129 to 7.167.41.1907.167.41.19162
1687.167.41.192/267.167.41.193 to 7.167.41.2547.167.41.25562
1697.167.42.0/267.167.42.1 to 7.167.42.627.167.42.6362
1707.167.42.64/267.167.42.65 to 7.167.42.1267.167.42.12762
1717.167.42.128/267.167.42.129 to 7.167.42.1907.167.42.19162
1727.167.42.192/267.167.42.193 to 7.167.42.2547.167.42.25562
1737.167.43.0/267.167.43.1 to 7.167.43.627.167.43.6362
1747.167.43.64/267.167.43.65 to 7.167.43.1267.167.43.12762
1757.167.43.128/267.167.43.129 to 7.167.43.1907.167.43.19162
1767.167.43.192/267.167.43.193 to 7.167.43.2547.167.43.25562
1777.167.44.0/267.167.44.1 to 7.167.44.627.167.44.6362
1787.167.44.64/267.167.44.65 to 7.167.44.1267.167.44.12762
1797.167.44.128/267.167.44.129 to 7.167.44.1907.167.44.19162
1807.167.44.192/267.167.44.193 to 7.167.44.2547.167.44.25562
1817.167.45.0/267.167.45.1 to 7.167.45.627.167.45.6362
1827.167.45.64/267.167.45.65 to 7.167.45.1267.167.45.12762
1837.167.45.128/267.167.45.129 to 7.167.45.1907.167.45.19162
1847.167.45.192/267.167.45.193 to 7.167.45.2547.167.45.25562
1857.167.46.0/267.167.46.1 to 7.167.46.627.167.46.6362
1867.167.46.64/267.167.46.65 to 7.167.46.1267.167.46.12762
1877.167.46.128/267.167.46.129 to 7.167.46.1907.167.46.19162
1887.167.46.192/267.167.46.193 to 7.167.46.2547.167.46.25562
1897.167.47.0/267.167.47.1 to 7.167.47.627.167.47.6362
1907.167.47.64/267.167.47.65 to 7.167.47.1267.167.47.12762
1917.167.47.128/267.167.47.129 to 7.167.47.1907.167.47.19162
1927.167.47.192/267.167.47.193 to 7.167.47.2547.167.47.25562
1937.167.48.0/267.167.48.1 to 7.167.48.627.167.48.6362
1947.167.48.64/267.167.48.65 to 7.167.48.1267.167.48.12762
1957.167.48.128/267.167.48.129 to 7.167.48.1907.167.48.19162
1967.167.48.192/267.167.48.193 to 7.167.48.2547.167.48.25562
1977.167.49.0/267.167.49.1 to 7.167.49.627.167.49.6362
1987.167.49.64/267.167.49.65 to 7.167.49.1267.167.49.12762
1997.167.49.128/267.167.49.129 to 7.167.49.1907.167.49.19162
2007.167.49.192/267.167.49.193 to 7.167.49.2547.167.49.25562
2017.167.50.0/267.167.50.1 to 7.167.50.627.167.50.6362
2027.167.50.64/267.167.50.65 to 7.167.50.1267.167.50.12762
2037.167.50.128/267.167.50.129 to 7.167.50.1907.167.50.19162
2047.167.50.192/267.167.50.193 to 7.167.50.2547.167.50.25562
2057.167.51.0/267.167.51.1 to 7.167.51.627.167.51.6362
2067.167.51.64/267.167.51.65 to 7.167.51.1267.167.51.12762
2077.167.51.128/267.167.51.129 to 7.167.51.1907.167.51.19162
2087.167.51.192/267.167.51.193 to 7.167.51.2547.167.51.25562
2097.167.52.0/267.167.52.1 to 7.167.52.627.167.52.6362
2107.167.52.64/267.167.52.65 to 7.167.52.1267.167.52.12762
2117.167.52.128/267.167.52.129 to 7.167.52.1907.167.52.19162
2127.167.52.192/267.167.52.193 to 7.167.52.2547.167.52.25562
2137.167.53.0/267.167.53.1 to 7.167.53.627.167.53.6362
2147.167.53.64/267.167.53.65 to 7.167.53.1267.167.53.12762
2157.167.53.128/267.167.53.129 to 7.167.53.1907.167.53.19162
2167.167.53.192/267.167.53.193 to 7.167.53.2547.167.53.25562
2177.167.54.0/267.167.54.1 to 7.167.54.627.167.54.6362
2187.167.54.64/267.167.54.65 to 7.167.54.1267.167.54.12762
2197.167.54.128/267.167.54.129 to 7.167.54.1907.167.54.19162
2207.167.54.192/267.167.54.193 to 7.167.54.2547.167.54.25562
2217.167.55.0/267.167.55.1 to 7.167.55.627.167.55.6362
2227.167.55.64/267.167.55.65 to 7.167.55.1267.167.55.12762
2237.167.55.128/267.167.55.129 to 7.167.55.1907.167.55.19162
2247.167.55.192/267.167.55.193 to 7.167.55.2547.167.55.25562
2257.167.56.0/267.167.56.1 to 7.167.56.627.167.56.6362
2267.167.56.64/267.167.56.65 to 7.167.56.1267.167.56.12762
2277.167.56.128/267.167.56.129 to 7.167.56.1907.167.56.19162
2287.167.56.192/267.167.56.193 to 7.167.56.2547.167.56.25562
2297.167.57.0/267.167.57.1 to 7.167.57.627.167.57.6362
2307.167.57.64/267.167.57.65 to 7.167.57.1267.167.57.12762
2317.167.57.128/267.167.57.129 to 7.167.57.1907.167.57.19162
2327.167.57.192/267.167.57.193 to 7.167.57.2547.167.57.25562
2337.167.58.0/267.167.58.1 to 7.167.58.627.167.58.6362
2347.167.58.64/267.167.58.65 to 7.167.58.1267.167.58.12762
2357.167.58.128/267.167.58.129 to 7.167.58.1907.167.58.19162
2367.167.58.192/267.167.58.193 to 7.167.58.2547.167.58.25562
2377.167.59.0/267.167.59.1 to 7.167.59.627.167.59.6362
2387.167.59.64/267.167.59.65 to 7.167.59.1267.167.59.12762
2397.167.59.128/267.167.59.129 to 7.167.59.1907.167.59.19162
2407.167.59.192/267.167.59.193 to 7.167.59.2547.167.59.25562
2417.167.60.0/267.167.60.1 to 7.167.60.627.167.60.6362
2427.167.60.64/267.167.60.65 to 7.167.60.1267.167.60.12762
2437.167.60.128/267.167.60.129 to 7.167.60.1907.167.60.19162
2447.167.60.192/267.167.60.193 to 7.167.60.2547.167.60.25562
2457.167.61.0/267.167.61.1 to 7.167.61.627.167.61.6362
2467.167.61.64/267.167.61.65 to 7.167.61.1267.167.61.12762
2477.167.61.128/267.167.61.129 to 7.167.61.1907.167.61.19162
2487.167.61.192/267.167.61.193 to 7.167.61.2547.167.61.25562
2497.167.62.0/267.167.62.1 to 7.167.62.627.167.62.6362
2507.167.62.64/267.167.62.65 to 7.167.62.1267.167.62.12762
2517.167.62.128/267.167.62.129 to 7.167.62.1907.167.62.19162
2527.167.62.192/267.167.62.193 to 7.167.62.2547.167.62.25562
2537.167.63.0/267.167.63.1 to 7.167.63.627.167.63.6362
2547.167.63.64/267.167.63.65 to 7.167.63.1267.167.63.12762
2557.167.63.128/267.167.63.129 to 7.167.63.1907.167.63.19162
2567.167.63.192/267.167.63.193 to 7.167.63.2547.167.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses